Skip to main content
GET
/
api
/
v2
/
stats
/
inits
/
users
Inits with users
curl --request GET \
  --url https://{search_zone}-api.doofinder.com/api/v2/stats/inits/users \
  --header 'Authorization: <api-key>'
{
  "results": [
    {
      "sessions": 12170,
      "unique_sessions": 159080,
      "users": 5876
    }
  ],
  "total": 1,
  "total_count": 1
}

Authorizations

Authorization
string
header
required

Doofinder API key. Pass it as: Authorization: Token <api_key>

Query Parameters

from
string
required

Start date of the period in the format of UNIX timestamp or YYYYMMDD.

Pattern: ^20\d{2}(0[1-9]|1[012])(0[1-9]|[12][0-9]|3[01])$|^\d{10}|^\d{13}$
to
string
required

End date of the period in the format of UNIX timestamp or YYYYMMDD.

Pattern: ^20\d{2}(0[1-9]|1[012])(0[1-9]|[12][0-9]|3[01])$|^\d{10}$|^\d{13}
hashids
string[]

Unique id of the search engine. It accepts an array of values. If you want to work with all user search engines just don't send this parameter. Arrays parameters must be in the format param[]=value.

Pattern: ^[a-f0-9]{32}$
device
enum<string>

Filter by kind of device.

Available options:
desktop,
mobile

Response

Stats retrieved.

Inits users result.

total
integer

Sum of all elements retrieved.

Example:

1

total_count
integer

Total sum of all elements count. If element does not have a "count", this has the same value as total.

Example:

12

results
object[]